Comment 19 for bug 414560

For me, workaround is using older kernel 2.6.28-13.
I was using it in Ubuntu 9.04 and it also works well after upgrade to Ubuntu 9.10.